/ comp / gb.net / udpsocket / peek
UdpSocket.Peek (gb.net)
Syntax

    FUNCTION Peek ( ) AS String

This method is used to peek information from remote host(s).

You will receive data from remote host but it will be not erased from socket buffer, so the next time you use peek or standard read functions you will receive the same data plus new data arrived, if any.

Note that you can receive datagrams from different hosts in any moment: current remote host and IP are placed in /comp/gb.net/udpsocket/sourcehost and /comp/gb.net/udpsocket/sourceport properties after you use this method.